Skip to main content
GET
/
enrich
/
{enrichId}
Get Enrichment Result
curl --request GET \
  --url https://api.lemlist.com/api/enrich/{enrichId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "enrichmentId": "enr_FPgMU8ZUVBnOZBuZ6",
  "enrichmentStatus": "done",
  "input": {
    "firstName": "John",
    "lastName": "lemlist",
    "linkedinUrl": "https://www.linkedin.com/in/lemlist",
    "companyName": "lemlist",
    "companyDomain": "lemlist.com"
  },
  "data": {
    "email": {
      "email": "john@lemlist.co",
      "notFound": false
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint retrieves the results of an enrichment request by its ID.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

enrichId
string
required

Unique enrichment ID

Response

Success

The response is of type object.